
package webservice;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the webservice package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetTaskResponse_QNAME = new QName("http://webservice/", "GetTaskResponse");
    private final static QName _Exception_QNAME = new QName("http://webservice/", "Exception");
    private final static QName _DeleteTaskResponse_QNAME = new QName("http://webservice/", "DeleteTaskResponse");
    private final static QName _EditTaskResponse_QNAME = new QName("http://webservice/", "EditTaskResponse");
    private final static QName _GetAuditsResponse_QNAME = new QName("http://webservice/", "GetAuditsResponse");
    private final static QName _AddTaskResponse_QNAME = new QName("http://webservice/", "AddTaskResponse");
    private final static QName _ServerAudit_QNAME = new QName("http://webservice/", "serverAudit");
    private final static QName _AddTask_QNAME = new QName("http://webservice/", "AddTask");
    private final static QName _DeleteTask_QNAME = new QName("http://webservice/", "DeleteTask");
    private final static QName _GetAudits_QNAME = new QName("http://webservice/", "GetAudits");
    private final static QName _EditTask_QNAME = new QName("http://webservice/", "EditTask");
    private final static QName _GetTask_QNAME = new QName("http://webservice/", "GetTask");
    private final static QName _ServerTask_QNAME = new QName("http://webservice/", "serverTask");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: webservice
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetAudits }
     * 
     */
    public GetAudits createGetAudits() {
        return new GetAudits();
    }

    /**
     * Create an instance of {@link DeleteTaskResponse }
     * 
     */
    public DeleteTaskResponse createDeleteTaskResponse() {
        return new DeleteTaskResponse();
    }

    /**
     * Create an instance of {@link GetTaskResponse }
     * 
     */
    public GetTaskResponse createGetTaskResponse() {
        return new GetTaskResponse();
    }

    /**
     * Create an instance of {@link ServerTask }
     * 
     */
    public ServerTask createServerTask() {
        return new ServerTask();
    }

    /**
     * Create an instance of {@link Exception }
     * 
     */
    public Exception createException() {
        return new Exception();
    }

    /**
     * Create an instance of {@link DeleteTask }
     * 
     */
    public DeleteTask createDeleteTask() {
        return new DeleteTask();
    }

    /**
     * Create an instance of {@link AddTaskResponse }
     * 
     */
    public AddTaskResponse createAddTaskResponse() {
        return new AddTaskResponse();
    }

    /**
     * Create an instance of {@link GetAuditsResponse }
     * 
     */
    public GetAuditsResponse createGetAuditsResponse() {
        return new GetAuditsResponse();
    }

    /**
     * Create an instance of {@link GetTask }
     * 
     */
    public GetTask createGetTask() {
        return new GetTask();
    }

    /**
     * Create an instance of {@link ServerAudit }
     * 
     */
    public ServerAudit createServerAudit() {
        return new ServerAudit();
    }

    /**
     * Create an instance of {@link AddTask }
     * 
     */
    public AddTask createAddTask() {
        return new AddTask();
    }

    /**
     * Create an instance of {@link EditTask }
     * 
     */
    public EditTask createEditTask() {
        return new EditTask();
    }

    /**
     * Create an instance of {@link EditTaskResponse }
     * 
     */
    public EditTaskResponse createEditTaskResponse() {
        return new EditTaskResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetTaskResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice/", name = "GetTaskResponse")
    public JAXBElement<GetTaskResponse> createGetTaskResponse(GetTaskResponse value) {
        return new JAXBElement<GetTaskResponse>(_GetTaskResponse_QNAME, GetTaskResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Exception }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice/", name = "Exception")
    public JAXBElement<Exception> createException(Exception value) {
        return new JAXBElement<Exception>(_Exception_QNAME, Exception.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeleteTaskResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice/", name = "DeleteTaskResponse")
    public JAXBElement<DeleteTaskResponse> createDeleteTaskResponse(DeleteTaskResponse value) {
        return new JAXBElement<DeleteTaskResponse>(_DeleteTaskResponse_QNAME, DeleteTaskResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EditTaskResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice/", name = "EditTaskResponse")
    public JAXBElement<EditTaskResponse> createEditTaskResponse(EditTaskResponse value) {
        return new JAXBElement<EditTaskResponse>(_EditTaskResponse_QNAME, EditTaskResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAuditsResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice/", name = "GetAuditsResponse")
    public JAXBElement<GetAuditsResponse> createGetAuditsResponse(GetAuditsResponse value) {
        return new JAXBElement<GetAuditsResponse>(_GetAuditsResponse_QNAME, GetAuditsResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddTaskResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice/", name = "AddTaskResponse")
    public JAXBElement<AddTaskResponse> createAddTaskResponse(AddTaskResponse value) {
        return new JAXBElement<AddTaskResponse>(_AddTaskResponse_QNAME, AddTaskResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServerAudit }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice/", name = "serverAudit")
    public JAXBElement<ServerAudit> createServerAudit(ServerAudit value) {
        return new JAXBElement<ServerAudit>(_ServerAudit_QNAME, ServerAudit.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddTask }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice/", name = "AddTask")
    public JAXBElement<AddTask> createAddTask(AddTask value) {
        return new JAXBElement<AddTask>(_AddTask_QNAME, AddTask.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeleteTask }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice/", name = "DeleteTask")
    public JAXBElement<DeleteTask> createDeleteTask(DeleteTask value) {
        return new JAXBElement<DeleteTask>(_DeleteTask_QNAME, DeleteTask.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAudits }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice/", name = "GetAudits")
    public JAXBElement<GetAudits> createGetAudits(GetAudits value) {
        return new JAXBElement<GetAudits>(_GetAudits_QNAME, GetAudits.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EditTask }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice/", name = "EditTask")
    public JAXBElement<EditTask> createEditTask(EditTask value) {
        return new JAXBElement<EditTask>(_EditTask_QNAME, EditTask.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetTask }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice/", name = "GetTask")
    public JAXBElement<GetTask> createGetTask(GetTask value) {
        return new JAXBElement<GetTask>(_GetTask_QNAME, GetTask.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ServerTask }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice/", name = "serverTask")
    public JAXBElement<ServerTask> createServerTask(ServerTask value) {
        return new JAXBElement<ServerTask>(_ServerTask_QNAME, ServerTask.class, null, value);
    }

}
